Get tasks
curl --request GET \
--url https://openapi.enginy.ai/v1/tasks \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/tasks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"appUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"subject": "<string>",
"description": "<string>",
"CRMId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"priority": "LOW",
"contact": {
"id": 123,
"appUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"imageUrl": "<string>",
"mobilePhone": "<string>",
"phones": "<string>",
"jobTitle": "<string>",
"enrichments": [
{
"type": "<string>",
"phones": [
"<string>"
]
}
]
},
"company": {
"id": 123,
"appUrl": "<string>",
"name": "<string>",
"domain": "<string>"
},
"campaign": {
"id": 123,
"appUrl": "<string>",
"name": "<string>"
},
"leadId": 123,
"companyId": 123,
"ownerId": "<string>",
"assignedId": 123,
"assignedTo": {
"id": 123,
"name": "<string>"
},
"skippedAt": "2023-11-07T05:31:56Z",
"parentTaskId": 123
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Tasks
Get tasks
Retrieve a paginated list of tasks.
Responses include direct Enginy app URLs when available. Task responses include an appUrl, and nested contact, company, and campaign objects include direct Enginy app URLs when available. MCP agents should return those URLs to users whenever they are present in the response.
Use comma-separated values for taskIds, campaignIds, and companyIds when passing multiple IDs.
Required scope:
TASKS_READRate limit: 100 requests per minute
GET
/
v1
/
tasks
Get tasks
Authorizations
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
due, skipped, pending, upcoming, completed Available options:
email, linkedin, call, other Available options:
createdAt, completedAt, dueDate Available options:
asc, desc